Supported Hardware

Prosilica cameras (www.prosilica.com ) that are supported by their SDK are required. No other cameras will work currently.

The cameras are interfaced with jClamp patch clamp program to externally trigger the camera using a variety of A/D-D/A boards. See jClamp website (www.scisoftco.com) for more information.


FastLook! Main Window

Capture VDA files or AVI files. VDA is much faster. Grab a bitmap during viewing or during playback – see viewing VDA files elsewhere in this help file.

A box may be draw to select a region of interest (ROI) that will be captured when saving video. Frame rates can be much faster when small ROIs are selected. After a box is drawn, and the mouse button is released, the “Check max fps” checkbox is automatically set and a one second simulated video collection is made with the maximum rate and frame time period displayed. Check the box again to see how fast the capture rate is for any already drawn box. Simply press the left mouse button down on the screen to erase the box and return to full screen collection mode. The max fps will be displayed for full screen. You can reduce or increase the viewed image by changing the scale. Video collection is always done with display disabled. By using binning (set in the control Panel), and small ROI, fast video collections can be made.


Control Panel

Auto save is default. If unchecked you will be asked for a filename to save to.

In the Main Tab you can:

Set the capture length

Set capture length to equal frames

Set capture length to equal time in seconds

Set time out to wait for hardware trigger. If exceeded capture is halted but file is saved.

Set fixed frame rate

disk_stream_on -- when capturing video stream directly to disk. May be slower than to memory.

disk_stream_off -- when capturing video stream directly to memory before writing to disk

autogain --push autogain button to automaically set gain for proper viewing - see camera instructions

autoexposure -- push autoexposure button to automatically set exposure time for proper viewing - see camera instructions

bitdepth8 -- set bitdepth to 8 bit (denoted by 0 in file header)

bitdepth12 -- set bitdepth to 12 bit (denoted by 1 in file header)

savebox_on -- save only that area of screen within a drawn box

savebox_off -- save whole screen

showbox_on -- show only that portion of the screen that is within the box

showbox_off -- show whole screen

movie_trig_on -- set whole movie capture (possibly consisting of many frames) to occur when hardware trigger is sent to camera trigger input

movie_trig_off -- disable movie trigger

frame_trig_on -- set single frame capture to occur with each trigger input until number of desired frames is acheived.

frame_trig_off -- set frame trigger off

fixed_rate_on -- set capture to occur at fixed frame rates This will be limited by Windows

fixed_rate_off -- no fixed frame rate speed will occur at maximum rate permited by software in Windows.

set_frame_sec -- set fixed frame rate in terms of time - duration of frame.

set_frame_fps -- set fixed frame rate in terms of FPS (frames per second).

The default directory for VDA files is “c:\fastlook_data\” plus the day’s date (e.g., see below). The directory can be changed here in FastLook or in the ini file at program startup (see ini file section in this help file). Thus, each user can set his/her own user directory.

When FastLook is used in conjunction with jClamp, jClamp control the data directory path directly. Communication with jClamp is via background polling.

Calibrate check box will show two flashing white lines 100 pixels apart. Determine the actual size and place distance and units to be saved with VDA files.

Simple measurements to plot line or box profiles. Export VDA video files to ImageJ to do sophisticated image analysis.

Delta length and save data are jClamp only features.

You can view the header information of VDA files that are being viewed.

You can overlay text on the video and save to bitmap. Playback frame rate for AVI export is set here.

You can set or view camera properties in the other Tabs of the Control Panel.


View VDA files

The default directory is C:\fastlook_data. Select a file to view from the menu and a Open file dialog window will open allowing you to navigate and select a file.

You can write an already opened VDA file to AVI format at the FPS rate set in the AVI Control panel.

You can export to ImageJ (see ImageJ Section in this help file).

Press up/down buttons to scroll through frames. Press play button < or > to play backward or forward at the desired, entered frame rate.

During real-time viewing or playing you can do some rudimentary measures, such as plot a line or box intensity profile, or measure intensity of select points – see measure tab in Control Panel.

Right click to place red, green, blue, yellow, and orange points to measure. Left click on them to remove. Shift down, left mouse button down and drag to draw line. Simple left mouse button down and drag to draw box.

Scale down.

Scale up.


ImageJ Link

ImageJ is a free, powerful image analysis program from the US National Institutes of Health (http://rsbweb.nih.gov/ij/download.html ). VDA video files that are being viewed can be loaded from FastLook into ImageJ automatically from the Menu. Alternatively, VDA files can be loaded directly into ImageJ from its Menu (see picture below).

The following two files, which are located in the ImageJ subdirectory of jClamp or FastLook, have to be placed in the ImageJ directory, C:\Program Files\ImageJ\plugins\Input-Output, in order to work with VDA files.

<FastLook_gui_loader.class>

<FastLook_loader.class>

Also, in the macro section of ImageJ you can load the scale for the image, if already set in FastLook, by running "fl_set_scale".


FastLook Ini file

The ini file sets startup conditions for FastLook. These can be changed in a text editor, such as Notepad.

Here is the default fastlook.ini file content. Commands set checkboxes in the Controls form.

;fastlook.ini – default ini file.

; semicolon is a comment

; in jClamp these ini commands can be run from a script, as well

capture_length(20); set the capture length

capture_frames; set capture length to equal frames

;capture_time; set capture length to equal time in seconds

time_out(15); set time out to wait for hardware trigger. if exceeded capture is halted but file is saved.

frame_rate=25; set fixed frame rate

;disk_stream_on; when capturing video stream directly to disk. may be slower than to memory.

disk_stream_off, when capturing video stream directly to memory before writing to disk

;autogain; push autogain button to automaically set gain for proper viewing - see camera instructions

;autoexposure; push autoexposure button to automaically set exposure time for proper viewing - see camera instructions

;bitdepth8; set bitdepth to 8 bit (denoted by 0 in file header)

bitdepth12; set bitdepth to 12 bit (denoted by 1 in file header)

;savebox_on; save only that area of screen within a drawn box

savebox_off; save whole screen

;showbox_on; show only that portion of the screen that is within the box

showbox_off; show whole screen

;movie_trig_on; set whole movie capture (possibly consisting of many frames) to occur when hardware trigger is sent to camera trigger input

movie_trig_off; disable movie trigger

;frame_trig_on; set single frame capture to occur with each trigger input until number of desired frames is acheived.

frame_trig_off; set frame trigger off

;fixed_rate_on; set capture to occur at fixed frame rates; This will be limited by Windows;

fixed_rate_off; no fixed frame rate; speed will occur at maximum rate permited by software in Windows.

;set_frame_sec; set fixed frame rate in terms of time - duration of frame.

set_frame_fps; set fixed frame rate in terms of FPS (frames per second).

;data_path:d:\test1 ; set data path to “d:\test1” ( the current date is automatically added as a subdirectory. e.g. “d:\test1\02-28-2010”)

---------------------------------------

The default ini file can be replaced with any other ini file by appending the ini filename to the Target command line in a shortcut on the desktop.

Here “myini.ini” will replace “fastlook.ini”. This is useful if more than one person uses the program and needs to set different data directories and camera settings.

In order to be able to edit the properties of the shortcut, you need to go to the executable file “fastlook.exe” in program files directory, right click on the file and send shortcut to the desktop.

Shortcuts made other ways may not allow editing the target.